Create Notification
Header Parameters
idempotency-key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
projectId?string|null
personIds?array<string>|null
distinctIds?array<string>|null
title*string
Length
1 <= lengthbody*string
Length
1 <= lengthdata?|null
sound?string|null
badge?number||null
priority?|null
ttl?number||null
channelId?string|null
collapseId?string|null
idempotencyKey?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/notifications" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "body": "string" }'{ "pushNotificationSendId": "string", "deviceCount": 0, "status": "pending", "unresolvedDistinctIds": [ "string" ]}{ "_tag": "Api/PushDeviceValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/PushSendNotEnabledError", "message": "string"}{ "_tag": "Api/AuthServiceError", "cause": "string", "message": "string"}